<template>
  <div class="app-container">
    <el-form :model="queryParams" ref="queryForm" size="small" :inline="true" v-show="showSearch" label-width="68px">
      <!-- <el-form-item label="主键" prop="id">
        <el-input
          v-model="queryParams.id"
          placeholder="请输入主键"
          clearable
          @keyup.enter.native="handleQuery"
        />
      </el-form-item> -->
      <el-form-item label="盆地名称" prop="pdmc">
        <el-input v-model="queryParams.pdmc" placeholder="请输入盆地名称" clearable @keyup.enter.native="handleQuery" />
      </el-form-item>
      <el-form-item label="排序" prop="px">
        <el-input v-model="queryParams.px" placeholder="请输入排序" clearable @keyup.enter.native="handleQuery"
          oninput="value=value.replace(/^([0-9-]\d*\.?\d{0,2})?.*$/,'$1')"
          @blur="queryParams.px = $event.target.value" />
      </el-form-item>
      <!-- <el-form-item label="删除标志" prop="delFlag">
        <el-input v-model="queryParams.delFlag" placeholder="请输入删除标志" clearable @keyup.enter.native="handleQuery" />
      </el-form-item> -->
      <el-form-item>
        <el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
        <el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
      </el-form-item>
    </el-form>

    <el-row :gutter="10" class="mb8">
      <el-col :span="1.5">
        <el-button type="primary" plain icon="el-icon-plus" size="mini" @click="handleAdd"
          v-hasPermi="['jtdz:jtdzPd:add']">新增</el-button>
      </el-col>
      <el-col :span="1.5">
        <el-button type="success" plain icon="el-icon-edit" size="mini" :disabled="single" @click="handleUpdate"
          v-hasPermi="['jtdz:jtdzPd:edit']">修改</el-button>
      </el-col>
      <el-col :span="1.5">
        <el-button type="danger" plain icon="el-icon-delete" size="mini" :disabled="multiple" @click="handleDelete"
          v-hasPermi="['jtdz:jtdzPd:remove']">删除</el-button>
      </el-col>
      <el-col :span="1.5">
        <el-button type="warning" plain icon="el-icon-download" size="mini" @click="handleExport"
          v-hasPermi="['jtdz:jtdzPd:export']">导出</el-button>
      </el-col>
      <right-toolbar :showSearch.sync="showSearch" @queryTable="getList"></right-toolbar>
    </el-row>

    <el-table :data="jtdzPdList" @selection-change="handleSelectionChange">
      <el-table-column type="selection" width="55" align="center" />
      <!-- <el-table-column label="主键" align="center" prop="id" /> -->
      <el-table-column label="盆地名称" align="center" prop="pdmc" />
      <el-table-column label="排序" align="center" prop="px" />
      <el-table-column label="备注" align="center" prop="remark" />
      <el-table-column label="操作" align="center" width="300px" class-name="small-padding fixed-width">
        <template slot-scope="scope">
          <el-button size=" mini" type="text" icon="el-icon-edit-outline" @click="handleDc(scope.row)"
            v-hasPermi="['jtdz:jtdzPd:edit']">地层维护</el-button>
          <!-- 区块维护 -->
          <el-button size=" mini" type="text" icon="el-icon-edit-outline" @click="handleQk(scope.row)"
            v-hasPermi="['jtdz:jtdzPd:edit']">区块维护</el-button>
          <el-button size=" mini" type="text" icon="el-icon-edit" @click="handleUpdate(scope.row)"
            v-hasPermi="['jtdz:jtdzPd:edit']">修改</el-button>
          <el-button size="mini" type="text" icon="el-icon-delete" @click="handleDelete(scope.row)"
            v-hasPermi="['jtdz:jtdzPd:remove']">删除</el-button>
        </template>
      </el-table-column>
    </el-table>

    <pagination v-show="total > 0" :total="total" :page.sync="queryParams.pageNum" :limit.sync="queryParams.pageSize"
      @pagination="getList" />

    <!-- 添加或修改盆地信息对话框 -->
    <el-dialog :title="title" :visible.sync="open" width="500px" append-to-body>
      <el-form ref="form" :model="form" :rules="rules" label-width="80px">
        <el-form-item label="盆地名称" prop="pdmc">
          <el-input v-model="form.pdmc" placeholder="请输入盆地名称" />
        </el-form-item>
        <el-form-item label="排序" prop="px">
          <el-input v-model="form.px" placeholder="请输入排序"
            oninput="value=value.replace(/^([0-9-]\d*\.?\d{0,2})?.*$/,'$1')" @blur="form.px = $event.target.value" />
        </el-form-item>
        <el-form-item label="备注" prop="remark">
          <el-input v-model="form.remark" placeholder="请输入备注" />
        </el-form-item>
        <!-- <el-form-item label="删除标志" prop="delFlag">
          <el-input v-model="form.delFlag" placeholder="请输入删除标志" />
        </el-form-item> -->
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitForm">确 定</el-button>
        <el-button @click="cancel">取 消</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>
import { listJtdzPd, getJtdzPd, delJtdzPd, addJtdzPd, updateJtdzPd } from "@/api/jtdz/jtdzPd";

export default {
  name: "JtdzPd",
  data() {
    return {
      // 遮罩层
      loading: true,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      // 盆地信息表格数据
      jtdzPdList: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        id: null,
        pdmc: null,
        px: null,
        delFlag: null
      },
      // 表单参数
      form: {},
      // 表单校验
      rules: {
      }
    };
  },
  created() {
    this.getList();
  },
  methods: {
    /** 查询盆地信息列表 */
    getList() {
      this.loading = true;
      listJtdzPd(this.queryParams).then(response => {
        this.jtdzPdList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },

    handleDc(row) {
      this.$router.push({
        name: "jtdzDc",
        query: {
          pdid: row.id,
        }
      });
    },
    handleQk(row) {
      this.$router.push({
        name: "jtdzQkxx",
        query: {
          pdid: row.id,
        }
      });
    },
    // this.$router.push('/monitor/job-log/index/' + jobId)

    // handleDc(row) {
    //   this.$router.push('/jtdz/jtdzDc/index/' + row.id)

    // },
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        id: null,
        pdmc: null,
        px: null,
        createBy: null,
        createTime: null,
        updateBy: null,
        updateTime: null,
        remark: null,
        delFlag: null
      };
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.resetForm("queryForm");
      this.handleQuery();
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.ids = selection.map(item => item.id)
      this.single = selection.length !== 1
      this.multiple = !selection.length
    },
    /** 新增按钮操作 */
    handleAdd() {
      this.reset();
      this.open = true;
      this.title = "添加盆地信息";
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.reset();
      const id = row.id || this.ids
      getJtdzPd(id).then(response => {
        this.form = response.data;
        this.open = true;
        this.title = "修改盆地信息";
      });
    },
    /** 提交按钮 */
    submitForm() {
      this.$refs["form"].validate(valid => {
        if (valid) {
          if (this.form.id != null) {
            updateJtdzPd(this.form).then(response => {
              this.$modal.msgSuccess("修改成功");
              this.open = false;
              this.getList();
            });
          } else {
            addJtdzPd(this.form).then(response => {
              this.$modal.msgSuccess("新增成功");
              this.open = false;
              this.getList();
            });
          }
        }
      });
    },
    /** 删除按钮操作 */
    handleDelete(row) {
      const ids = row.id || this.ids;
      this.$modal.confirm('是否确认删除盆地信息编号为"' + ids + '"的数据项？').then(function () {
        return delJtdzPd(ids);
      }).then(() => {
        this.getList();
        this.$modal.msgSuccess("删除成功");
      }).catch(() => { });
    },
    /** 导出按钮操作 */
    handleExport() {
      this.download('jtdz/jtdzPd/export', {
        ...this.queryParams
      }, `jtdzPd_${new Date().getTime()}.xlsx`)
    }
  }
};
</script>
